<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Employee</title>

    <div th:replace="fragments/side-menu-header :: css-side"></div>
    <!-- If there's must have plugin put here -->
    <!-- Plugin css for this page -->
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <link rel="stylesheet" th:href="@{assets/css/customCss/employee-index.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/css/fixedColumns.bootstrap.min.css}">
    <!-- End plugin css for this page -->
    <!-- end -->

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Employee </h3>
                        <nav aria-label="breadcrumb">
                          <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Employee</li>
                          </ol>
                        </nav>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <h4 class="custom-title">Employee List</h4>
                                    </div>
                                    <div class="col-sm-8 text-right">
                                        <a th:href="@{/employee-add}" title="Add Branch" class="btn btn-info btn-fw btn-sm">
                                            <i class="fa fa-plus"></i> Add Employee
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <hr class="title-line" />

                            <div class="row">
                                <div class="col-lg-12">
	                                <table id="order-listing" class="table table-striped">
	                                    <thead>
	                                        <tr>
                                                <th class="text-center">Actions</th>
	                                            <th>Photo</th>
	                                            <th>Full Name</th>
                                                <th>Employee ID</th>
                                                <th>Barcode</th>
                                                <th>Organization</th>
                                                <th>Job Position</th>
                                                <th>Job Level</th>
                                                <th>Join Date</th>
                                                <th>Resign Date</th>
                                                <th>Status Employee</th>
                                                <th>End Date</th>
                                                <th>Email</th>
                                                <th>Birth Date</th>
                                                <th>Birth Place</th>
                                                <th>Address</th>
                                                <th>Mobile Phone</th>
                                                <th>Religion</th>
                                                <th>Gender</th>
                                                <th>Marital Status</th>
	                                        </tr>
	                                    </thead>
	                                    <tbody>
	                                    	<tr th:each="employee, iter : ${employees}">
                                                <td class="text-center">
                                                    <a th:href="@{/employee-edit(id=${employee.id})}" class="btn btn-warning btn-sm" title="Edit"><i class="fa fa-pencil-square-o"></i></a>
                                                    <a class="btn btn-danger btn-sm" th:href="@{/employee-delete(id=${employee.id})}" title="Delete"><i class="fa fa-trash-o"></i></a>
                                                    <a class="btn btn-secondary btn-sm" href="#" title="View"><i class="fa fa-eye"></i></a>
                                                </td>
                                                <td>
                                                    <img th:src="@{assets/images/faces-clipart/pic-1.png}" alt="image" />
                                                </td>
                                                <td th:text="${employee.firstName+' '+employee.lastName}"></td>
                                                <td th:text="${employee.id}"></td>
                                                <td th:text="${employee.barcode}"></td>
                                                <td th:text="${employee.organization.name}"></td>
                                                <td th:text="${employee.job.name}"></td>
                                                <td th:text="${employee.jobLevel.name}"></td>
                                                <td th:text="${employee.joinDate}"></td>
                                                <td ></td>
                                                <td th:text="${employee.employmentStatus}"></td>
                                                <td ></td>
                                                <td th:text="${employee.email}"></td>
                                                <td th:text="${employee.birthDate}"></td>
                                                <td th:text="${employee.birthPlace}"></td>
                                                <td th:text="${employee.citizenIdAddress}"></td>
                                                <td th:text="${employee.mobilePhone}"></td>
                                                <td th:text="${employee.religion}"></td>
                                                <td th:text="${employee.gender}"></td>
                                                <td th:text="${employee.maritalStatus}"></td>
                                            </tr>
                                            <!-- <tr>
                                                <td class="text-center">
                                                    <a th:href="@{/employee-edit}" class="btn btn-warning btn-sm" title="Edit"><i class="fa fa-pencil-square-o"></i></a>
                                                    <a class="btn btn-danger btn-sm" href="#" title="Delete"><i class="fa fa-trash-o"></i></a>
                                                    <a class="btn btn-secondary btn-sm" href="#" title="View"><i class="fa fa-eye"></i></a>
                                                </td>
                                                <td>
                                                    <img th:src="@{assets/images/faces-clipart/pic-1.png}" alt="image" />
                                                </td>
                                                <td>Dr. Muhammad Syafii Antonio, M.Ec.</td>
                                                <td>001.001</td>
                                                <td>1004</td>
                                                <td>Prodi Magister Ekonomi Syariah</td>
                                                <td>Dosen Tetap Program Studi Magister Ekonomi Syariah</td>
                                                <td>Dosen Tetap </td>
                                                <td>2000-03-01</td>
                                                <td></td>
                                                <td>Permanent </td>
                                                <td> </td>
                                                <td>msaonly@tazkia.ac.id </td>
                                                <td>1967-05-12 </td>
                                                <td> </td>
                                                <td> </td>
                                                <td> </td>
                                                <td>Islam </td>
                                                <td>Male </td>
                                                <td>Married </td>
                                            </tr> -->
	                                    </tbody>
	                                </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/dataTables.fixedColumns.min.js}"></script>
    <!-- End plugin js for this page -->

    <!-- Custom js for this page -->
    <!-- <script th:src="@{assets/js/data-table.js}"></script> -->
    <script th:src="@{assets/customJs/employee-index.js}"></script>
    <!-- End custom js for this page -->
</body>

</html>
